# TSAppendOptionsPrefix

Appends to the prefix used for searching for all TS options in the database.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSAppendOptionsPrefix(TS ts,const char prefix[])

Collective on TS

### Input Parameter

| ts | - The TS context
| prefix | - The prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

Contributed by: Matthew Knepley

### Keywords

TS, append, options, prefix, database

### See Also

TSGetOptionsPrefix()

Level:advanced
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages